Request

Response

    GET

    twins/{twinID}/views

    Returns list of saved views for a given twin.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/tandem/v1/twins/{twinID}/views
    Authentication Context
    user context optional
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via Authorization Code flow, Authorization Code flow with PKCE, or Secure Service Account flow (for headless scenarios).
    Region
    string
    Specifies the region where your request should be routed. Possible values: US, EMEA. For more details, see Regions.
    * Required

    Request

    URI Parameters

    twinID
    string
    Twin URN

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    403
    Forbidden
    The request was successfully validated but it did not have the required permissions.
    500
    Internal Server Error
    The service encountered an error that it was unable to handle. Wait for a few minutes and resend the request. If the error persists, contact us at aps.help@autodesk.com.

    Response

    Body Structure (200)

    lastUpdate
    int
    thumbnail
    array: integer
    view
    array: integer
    viewId
    string

    Example

    This example demonstrates successfully getting the information about saved views.

    Request

    curl -v 'https://developer.api.autodesk.com/tandem/v1/wins/urn:adsk.dtt:d5eZt_XtRzqUHT93-vNZxw/views' \
      -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsIm....'
    

    Response

    [
      {
          "version": 0,
          "viewName": "Mechanical Equipment",
          "dashboardName": "",
          "label": "",
          "default": false,
          "author": {
              "firstName": "Fred",
              "lastName": "Flintsone",
              "userId": "7XPGNDGA663K"
          },
          "createTime": "2023-03-16T21:32:41.451Z",
          "facets": {
              "clusteredFacetId": "",
              "colorMaps": null,
              "coloredFacetId": "",
              "filters": {
                  "attributes": [],
                  "cats": [
                      -2001140
                  ],
                  "classifications": [],
                  "fams": [],
                  "levels": [],
                  "mepSystems": [],
                  "models": [
                      "urn:adsk.dtm:fTIXhuewSxuROOMTHC5yUQ",
                      "urn:adsk.dtm:mNn_ajmuR96t-hIQLa47eQ",
                      "urn:adsk.dtm:k5ZZZkIYQ9ixvxFDVBNoTg",
                      "urn:adsk.dtm:d5eZt_XtRzqUHT93-vNZxw"
                  ],
                  "spaces": [],
                  "status": [],
                  "systemClasses": [],
                  "systems": [],
                  "types": []
              },
              "hiddenCategories": null,
              "isFloorplanEnabled": false,
              "settings": null
          },
          "id": "H1gbXfLwR4-8aUvQtuEfhA",
          "thumbnailLastUpdate": 1688633151728
      },
      {
          "version": 2,
          "viewName": "Pipes",
          "dashboardName": "",
          "label": "",
          "default": false,
          "author": {
              "firstName": "Fred",
              "lastName": "Flintsone",
              "userId": "7XPGNDGA663K"
          },
          "createTime": "2023-02-17T18:01:09.86Z",
          "facets": {
              "clusteredFacetId": "",
              "colorMaps": {},
              "coloredFacetId": "",
              "filters": {
                  "cats": [
                      -2008055,
                      -2008049,
                      -2008044,
                      -2001160
                  ],
                  "classifications": [],
                  "levels": [],
                  "models": [
                      "urn:adsk.dtm:k5ZZZkIYQ9ixvxFDVBNoTg",
                      "urn:adsk.dtm:d5eZt_XtRzqUHT93-vNZxw",
                      "urn:adsk.dtm:fTIXhuewSxuROOMTHC5yUQ",
                      "urn:adsk.dtm:mNn_ajmuR96t-hIQLa47eQ"
                  ],
                  "spaces": [],
                  "systems": []
              },
              "hiddenCategories": [],
              "isFloorplanEnabled": false,
              "settings": [
                  {
                      "id": "models"
                  },
                  {
                      "id": "levels"
                  },
                  {
                      "id": "spaces"
                  },
                  {
                      "id": "classifications"
                  },
                  {
                      "id": "systems"
                  },
                  {
                      "id": "cats"
                  }
              ]
          },
          "camera": {
              "fov": 53.13010235415598,
              "isPerspective": false,
              "position": {
                  "x": 177.00845336914062,
                  "y": -176.81759643554688,
                  "z": 218.61822509765625
              },
              "target": {
                  "x": -1.2503929138183594,
                  "y": 1.4412460327148438,
                  "z": 40.359375
              },
              "up": {
                  "x": 0,
                  "y": 0,
                  "z": 1
              },
              "worldup": {
                  "x": 0,
                  "y": 0,
                  "z": 1
              }
          },
          "inventory": {
              "appearanceSettings": {
                  "orderBy": "",
                  "orderDirection": "asc",
                  "orders": null,
                  "sizes": {
                      "columns": {},
                      "rows": {},
                      "trees": {}
                  },
                  "visibility": null
              },
              "columnGroups": {
                  "applied": true,
                  "element": true,
                  "id": false,
                  "standard": true,
                  "type": false
              },
              "columnsV2": null,
              "showTaggedAssets": false
          },
          "cutPlanes": [],
          "hiddenElements": [],
          "id": "Ub4kqTL5QjS8Aqj1Ztty0A",
          "thumbnailLastUpdate": 1688633127232
      },
      {
          "version": 2,
          "viewName": "Default",
          "dashboardName": "",
          "label": "",
          "default": true,
          "author": {
              "firstName": "Fred",
              "lastName": "Flintsone",
              "userId": "7XPGNDGA663K"
          },
          "createTime": "2023-03-20T20:35:16.304Z",
          "facets": {
              "colorMaps": {},
              "filters": {
                  "cats": [],
                  "classifications": [],
                  "levels": [],
                  "models": [
                      "urn:adsk.dtm:k5ZZZkIYQ9ixvxFDVBNoTg",
                      "urn:adsk.dtm:d5eZt_XtRzqUHT93-vNZxw",
                      "urn:adsk.dtm:fTIXhuewSxuROOMTHC5yUQ",
                      "urn:adsk.dtm:mNn_ajmuR96t-hIQLa47eQ"
                  ],
                  "spaces": [],
                  "systems": []
              },
              "hiddenCategories": [],
              "isFloorplanEnabled": false,
              "settings": [
                  {
                      "id": "models"
                  },
                  {
                      "id": "levels"
                  },
                  {
                      "id": "spaces"
                  },
                  {
                      "id": "classifications"
                  },
                  {
                      "id": "systems"
                  },
                  {
                      "id": "cats"
                  }
              ]
          },
          "camera": {
              "fov": 53.13010235415598,
              "isPerspective": false,
              "position": {
                  "x": 177.00845336914062,
                  "y": -176.81759643554688,
                  "z": 218.61822509765625
              },
              "target": {
                  "x": -1.2503929138183594,
                  "y": 1.4412460327148438,
                  "z": 40.359375
              },
              "up": {
                  "x": 0,
                  "y": 0,
                  "z": 1
              },
              "worldup": {
                  "x": 0,
                  "y": 0,
                  "z": 1
              }
          },
          "inventory": {
              "appearanceSettings": {
                  "orderBy": "",
                  "orderDirection": "asc",
                  "sizes": {
                      "columns": {},
                      "rows": {},
                      "trees": {}
                  }
              },
              "columnGroups": {
                  "applied": true,
                  "element": true,
                  "id": false,
                  "standard": true,
                  "type": false
              },
              "showTaggedAssets": false
          },
          "cutPlanes": [],
          "heatmap": {},
          "hiddenElements": [],
          "id": "g1SZJTMVSV6EEpqMZJfwGQ",
          "thumbnailLastUpdate": 1688633168569
      },
      {
          "version": 2,
          "viewName": "Shell",
          "dashboardName": "",
          "label": "",
          "default": false,
          "author": {
              "firstName": "Fred",
              "lastName": "Flintsone",
              "userId": "7XPGNDGA663K"
          },
          "createTime": "2023-02-17T17:58:46.528Z",
          "facets": {
              "clusteredFacetId": "",
              "colorMaps": {},
              "coloredFacetId": "",
              "filters": {
                  "cats": [],
                  "classifications": [],
                  "levels": [],
                  "models": [
                      "urn:adsk.dtm:k5ZZZkIYQ9ixvxFDVBNoTg",
                      "urn:adsk.dtm:d5eZt_XtRzqUHT93-vNZxw",
                      "urn:adsk.dtm:fTIXhuewSxuROOMTHC5yUQ",
                      "urn:adsk.dtm:mNn_ajmuR96t-hIQLa47eQ"
                  ],
                  "spaces": [],
                  "systems": [
                      "B",
                      "B10",
                      "B1010",
                      "B1020",
                      "B1080",
                      "B2010",
                      "B2020"
                  ]
              },
              "hiddenCategories": [],
              "isFloorplanEnabled": false,
              "settings": [
                  {
                      "id": "models"
                  },
                  {
                      "id": "levels"
                  },
                  {
                      "id": "spaces"
                  },
                  {
                      "id": "classifications"
                  },
                  {
                      "id": "systems"
                  },
                  {
                      "id": "cats"
                  }
              ]
          },
          "camera": {
              "fov": 53.13010235415598,
              "isPerspective": false,
              "position": {
                  "x": 177.00845336914062,
                  "y": -176.81759643554688,
                  "z": 218.61822509765625
              },
              "target": {
                  "x": -1.2503929138183594,
                  "y": 1.4412460327148438,
                  "z": 40.359375
              },
              "up": {
                  "x": 0,
                  "y": 0,
                  "z": 1
              },
              "worldup": {
                  "x": 0,
                  "y": 0,
                  "z": 1
              }
          },
          "inventory": {
              "appearanceSettings": {
                  "orderBy": "",
                  "orderDirection": "asc",
                  "orders": null,
                  "sizes": {
                      "columns": {},
                      "rows": {},
                      "trees": {}
                  },
                  "visibility": null
              },
              "columnGroups": {
                  "applied": true,
                  "element": true,
                  "id": false,
                  "standard": true,
                  "type": false
              },
              "columnsV2": null,
              "showTaggedAssets": false
          },
          "cutPlanes": [],
          "hiddenElements": [],
          "id": "y0bONZ2ySIiR96Yyc9m1Dg",
          "thumbnailLastUpdate": 1688633127002
      }
    ]
    
    Show More